It is currently Sun Jan 20, 2019 4:57 am
All times are UTC + 8 hours

[REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Who doesn't love third-party apps? Get together and talk about them here.

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby clinton.hall » Fri Jul 20, 2018 6:13 am

Ok, I actually have a Gekko APK, but I have got stuck at the point where this requires Node.js at least >=8.11.2 and I only have v6.9.1

Did you have this issue and did you find a way around this? Or does your model NAS actually have a later version available?

FYI, I also remembered, when looking at other Apps that the NAS does include a daemon tool... /sbin/start-stop-daemon
This is what i am using for this APK if I can ever get past this damn node.js version issue.
AS-604T
3 x ST4000DM0000 (Seagate 4TB) in Raid5
2 GB RAM expansion
AS-302T

Apps (user)
NZBGet - CouchPotato - SickBeard - Git - Python

Apps (maintainer):
NZBGet - BitTorrent Sync - Mylar - LazyLibrarian - Gamez
-Maintenance of Apps acquired from JohhnyFive since ADM2.0:
SABnzbd - CouchPotato - SickBeard - HeadPhones - Subsonic

About Me: http://fockwulf.wix.com/index
User avatar
clinton.hall
 
Posts: 831
Joined: Thu May 09, 2013 7:01 pm
Location: New Zealand

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby clinton.hall » Fri Jul 20, 2018 10:03 am

This is as far as I have got.

I run into issues with npm modules not compiling... but the structure if there and it uses a daemon etc...
https://www.dropbox.com/s/5xppxg2a984yoxy/gekko_20180720_any.apk?dl=0

Still needs some debugging...

It appears to run, but as there are errors I am not getting the WEB UI to come up yet.

Appreciate any feedback if you had found a way to get these packages to run.
AS-604T
3 x ST4000DM0000 (Seagate 4TB) in Raid5
2 GB RAM expansion
AS-302T

Apps (user)
NZBGet - CouchPotato - SickBeard - Git - Python

Apps (maintainer):
NZBGet - BitTorrent Sync - Mylar - LazyLibrarian - Gamez
-Maintenance of Apps acquired from JohhnyFive since ADM2.0:
SABnzbd - CouchPotato - SickBeard - HeadPhones - Subsonic

About Me: http://fockwulf.wix.com/index
User avatar
clinton.hall
 
Posts: 831
Joined: Thu May 09, 2013 7:01 pm
Location: New Zealand

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby clinton.hall » Fri Jul 20, 2018 10:16 am

https://github.com/askmike/gekko/blob/develop/package.json

Looking at these dependencies, I may have a lot more work to do. I think there are at least 2-3 dependencies that need to be pre-compiled!! and then updates may be problematic.
AS-604T
3 x ST4000DM0000 (Seagate 4TB) in Raid5
2 GB RAM expansion
AS-302T

Apps (user)
NZBGet - CouchPotato - SickBeard - Git - Python

Apps (maintainer):
NZBGet - BitTorrent Sync - Mylar - LazyLibrarian - Gamez
-Maintenance of Apps acquired from JohhnyFive since ADM2.0:
SABnzbd - CouchPotato - SickBeard - HeadPhones - Subsonic

About Me: http://fockwulf.wix.com/index
User avatar
clinton.hall
 
Posts: 831
Joined: Thu May 09, 2013 7:01 pm
Location: New Zealand

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby IPhantom » Fri Jul 20, 2018 10:18 am

Yes i got stuck there too when attempting to install TA-lib/Tulip indicators (required for some more sophisticated strategies).
Other than that i did not find any other errors with the current node.js. The creator emphasis the use of at least 8.0 tho.
I tried to install the latest node.js via git pull but there still some symlinks/path issues.

By the way there is also a Gekko forum and the creator "askmike" is pretty cooperative. https://forum.gekko.wizb.it/index.php
IPhantom
 
Posts: 42
Joined: Sat Jan 14, 2017 11:38 pm

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby IPhantom » Fri Jul 20, 2018 10:22 am

Damn you're hella fast! I am at work right now and can't follow you with the apk.
IPhantom
 
Posts: 42
Joined: Sat Jan 14, 2017 11:38 pm

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby clinton.hall » Fri Jul 20, 2018 12:14 pm

So my version of node.js wouldn't allow this to run at all!
So I have bundled node.js (latest) with this apk, but that in itself may require additional modules to be built that were already in the pre-existing.

I would be curious to know how this works (if it does) on your system as is...
if you can't get into the webUI you can make a small modification in the start-stop.sh to make this use your version of node.js

in file /usr/local/AppCentral/gekko/CONTROL/start-stop.sh
edit out the 3 "export" lines by adding a "#"
Code: Select all
#export PATH=$PKG_DIR/bin:$PATH
#export LD_LIBRARY_PATH=$PKG_DIR/lib:$LD_LIBRARY_PATH
#export CPATH=$PKG_DIR/include:$CPATH


then restart the app via
Code: Select all
/usr/local/AppCentral/gekko/CONTROL/start-stop.sh restart
AS-604T
3 x ST4000DM0000 (Seagate 4TB) in Raid5
2 GB RAM expansion
AS-302T

Apps (user)
NZBGet - CouchPotato - SickBeard - Git - Python

Apps (maintainer):
NZBGet - BitTorrent Sync - Mylar - LazyLibrarian - Gamez
-Maintenance of Apps acquired from JohhnyFive since ADM2.0:
SABnzbd - CouchPotato - SickBeard - HeadPhones - Subsonic

About Me: http://fockwulf.wix.com/index
User avatar
clinton.hall
 
Posts: 831
Joined: Thu May 09, 2013 7:01 pm
Location: New Zealand

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby clinton.hall » Fri Jul 20, 2018 12:24 pm

Just a brief explanation... this package is just a wrapper, it actually downloads and extracts the current node.js for your system's architecture, exports the paths, then downloads (via git) the current gekko and tries to build the necessary dependencies... this is where the issues occur.

so the changes I suggested above only serve to stop the system trying to use the downloaded node.js and therefore defaults to the version in your default Path.

The start-stop.sh also checks your current internal IP and writes this into the config to allow your system to run headless.

Please check the config, as I couldn't get into the WebUI and I just assumed this was the issues with the various node modules... but it could be that I missed something required to make this run as headless??
FYI, gekko source is installed at /usr/local/AppCentral/gekko/Gekko/
AS-604T
3 x ST4000DM0000 (Seagate 4TB) in Raid5
2 GB RAM expansion
AS-302T

Apps (user)
NZBGet - CouchPotato - SickBeard - Git - Python

Apps (maintainer):
NZBGet - BitTorrent Sync - Mylar - LazyLibrarian - Gamez
-Maintenance of Apps acquired from JohhnyFive since ADM2.0:
SABnzbd - CouchPotato - SickBeard - HeadPhones - Subsonic

About Me: http://fockwulf.wix.com/index
User avatar
clinton.hall
 
Posts: 831
Joined: Thu May 09, 2013 7:01 pm
Location: New Zealand

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby IPhantom » Fri Jul 20, 2018 12:40 pm

Did you try to run the UI via command line? Do you have any log files?
One issue might be that build-essentials are not present and not even available on this version of node. That should be fixed with the new version but maybe you need to install another package that doesn't come with the plain install. E. g. gcc and make.
I am tempted to uninstall everything to try it out "out of the box", but then i again i might lose some progress.
IPhantom
 
Posts: 42
Joined: Sat Jan 14, 2017 11:38 pm

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby clinton.hall » Fri Jul 20, 2018 1:37 pm

Issue was that I was working remotely and the headless server wasn't accessible over vnp from my phone.
Once I connected locally at home it was working fine.

So out of the box this apk appears to "work" but some of those extended features probably aren't available.
AS-604T
3 x ST4000DM0000 (Seagate 4TB) in Raid5
2 GB RAM expansion
AS-302T

Apps (user)
NZBGet - CouchPotato - SickBeard - Git - Python

Apps (maintainer):
NZBGet - BitTorrent Sync - Mylar - LazyLibrarian - Gamez
-Maintenance of Apps acquired from JohhnyFive since ADM2.0:
SABnzbd - CouchPotato - SickBeard - HeadPhones - Subsonic

About Me: http://fockwulf.wix.com/index
User avatar
clinton.hall
 
Posts: 831
Joined: Thu May 09, 2013 7:01 pm
Location: New Zealand

Re: [REQUEST] Gekko Crypto Trading Bot APK (Node.js)

Postby IPhantom » Fri Jul 20, 2018 1:55 pm

Awsome! Thanks a lot!
I will give it a try later. If it indeed comes with the latest node.js the extensions should install fine.
IPhantom
 
Posts: 42
Joined: Sat Jan 14, 2017 11:38 pm

PreviousNext

Return to Developer's Corner

  • You cannot post new topics in this forum
    You cannot reply to topics in this forum
    You cannot edit your posts in this forum
    You cannot delete your posts in this forum
    You cannot post attachments in this forum
  • Who is online

    Users browsing this forum: No registered users and 2 guests

cron